<template>
  <!-- 安全工作计划信息子表信息 -->
  <div>
    <el-table
      ref="singleTable"
      :data="tableData"
      style="width: 100%"
      highlight-current-row
    >
      <el-table-column label="主键_ID" min-width="50" prop="id">
        <template slot-scope="scope">
          <el-input
            v-if="scope.row.isEdit"
            v-model="scope.row.id"
            size="mini"
          />
          <span v-else>{{ scope.row.id }}</span>
        </template>
      </el-table-column>
      <el-table-column label="计划名称" min-width="50" prop="name">
        <template slot-scope="scope">
          <el-input
            v-if="scope.row.isEdit"
            v-model="scope.row.name"
            size="mini"
          />
          <span v-else>{{ scope.row.name }}</span>
        </template>
      </el-table-column>
      <el-table-column label="计划年度" min-width="50" prop="planYear">
        <template slot-scope="scope">
          <el-input
            v-if="scope.row.isEdit"
            v-model="scope.row.planYear"
            size="mini"
          />
          <span v-else>{{ scope.row.planYear }}</span>
        </template>
      </el-table-column>
      <el-table-column label="计划工作" min-width="50" prop="description">
        <template slot-scope="scope">
          <el-input
            v-if="scope.row.isEdit"
            v-model="scope.row.description"
            size="mini"
          />
          <span v-else>{{ scope.row.description }}</span>
        </template>
      </el-table-column>
      <el-table-column label="依据" min-width="50" prop="according">
        <template slot-scope="scope">
          <el-input
            v-if="scope.row.isEdit"
            v-model="scope.row.according"
            size="mini"
          />
          <span v-else>{{ scope.row.according }}</span>
        </template>
      </el-table-column>
      <el-table-column label="附件" min-width="50" prop="attachment">
        <template slot-scope="scope">
          <el-input
            v-if="scope.row.isEdit"
            v-model="scope.row.attachment"
            size="mini"
          />
          <span v-else>{{ scope.row.attachment }}</span>
        </template>
      </el-table-column>
      <el-table-column label="排序" min-width="50" prop="sn">
        <template slot-scope="scope">
          <el-input
            v-if="scope.row.isEdit"
            v-model="scope.row.sn"
            size="mini"
          />
          <span v-else>{{ scope.row.sn }}</span>
        </template>
      </el-table-column>
      <el-table-column label="备注" min-width="50" prop="memo">
        <template slot-scope="scope">
          <el-input
            v-if="scope.row.isEdit"
            v-model="scope.row.memo"
            size="mini"
          />
          <span v-else>{{ scope.row.memo }}</span>
        </template>
      </el-table-column>
      <el-table-column
        label="删除标识，1已删除，0未删除"
        min-width="50"
        prop="isDele"
      >
        <template slot-scope="scope">
          <el-input
            v-if="scope.row.isEdit"
            v-model="scope.row.isDele"
            size="mini"
          />
          <span v-else>{{ scope.row.isDele }}</span>
        </template>
      </el-table-column>
      <el-table-column label="创建人" min-width="50" prop="createBy">
        <template slot-scope="scope">
          <el-input
            v-if="scope.row.isEdit"
            v-model="scope.row.createBy"
            size="mini"
          />
          <span v-else>{{ scope.row.createBy }}</span>
        </template>
      </el-table-column>
      <el-table-column label="创建人机构ID" min-width="50" prop="createOrgId">
        <template slot-scope="scope">
          <el-input
            v-if="scope.row.isEdit"
            v-model="scope.row.createOrgId"
            size="mini"
          />
          <span v-else>{{ scope.row.createOrgId }}</span>
        </template>
      </el-table-column>
      <el-table-column label="创建时间" min-width="50" prop="createTime">
        <template slot-scope="scope">
          <el-input
            v-if="scope.row.isEdit"
            v-model="scope.row.createTime"
            size="mini"
          />
          <span v-else>{{ scope.row.createTime }}</span>
        </template>
      </el-table-column>
      <el-table-column label="修改人员" min-width="50" prop="updateBy">
        <template slot-scope="scope">
          <el-input
            v-if="scope.row.isEdit"
            v-model="scope.row.updateBy"
            size="mini"
          />
          <span v-else>{{ scope.row.updateBy }}</span>
        </template>
      </el-table-column>
      <el-table-column label="修改时间" min-width="50" prop="updateTime">
        <template slot-scope="scope">
          <el-input
            v-if="scope.row.isEdit"
            v-model="scope.row.updateTime"
            size="mini"
          />
          <span v-else>{{ scope.row.updateTime }}</span>
        </template>
      </el-table-column>
      <el-table-column label="版本号" min-width="50" prop="version">
        <template slot-scope="scope">
          <el-input
            v-if="scope.row.isEdit"
            v-model="scope.row.version"
            size="mini"
          />
          <span v-else>{{ scope.row.version }}</span>
        </template>
      </el-table-column>
      <el-table-column label="数据时间戳" min-width="50" prop="lastTime">
        <template slot-scope="scope">
          <el-input
            v-if="scope.row.isEdit"
            v-model="scope.row.lastTime"
            size="mini"
          />
          <span v-else>{{ scope.row.lastTime }}</span>
        </template>
      </el-table-column>

      <el-table-column align="right" width="90px" :index="999">
        <template slot="header">
          <el-button
            size="mini"
            type="warning"
            circle
            icon="el-icon-plus"
            @click="add"
          />
        </template>
        <template slot-scope="scope">
          <el-button
            size="mini"
            type="danger"
            circle
            icon="el-icon-close"
            @click="del(scope.$index, scope.row)"
          />
        </template>
      </el-table-column>
    </el-table>
  </div>
</template>
<script>
export default {
  name: 'CmgtSaftyPlanChildTable',
  components: {},
  props: {
    tableData: {
      type: Array,
      default: null
    }
  },
  data() {
    return {
      currnetRow: null
    }
  },
  created() {},
  methods: {
    add() {
      if (this.currnetRow) {
        this.currnetRow.isEdit = false
      }
      this.currnetRow = {
        isEdit: true
      }
      this.tableData.push(this.currnetRow)
      this.$refs.singleTable.setCurrentRow(
        this.tableData[this.tableData.length - 1]
      )
      //   this.$nextTick(() => {
      //     this.$refs.singleTable.bodyWrapper.scrollTop = this.$refs.singleTable.bodyWrapper.scrollHeight
      //   })
    },
    del(index, row) {
      this.tableData.splice(index, 1)
    },
    tableCurrentChange(row) {
      if (this.currnetRow) {
        this.currnetRow.isEdit = false
      }
      row.isEdit = true
      this.currnetRow = row
    },
    tableHeaderClick(col) {
      if (!(col.index && col.index === 999)) {
        this.tableData.forEach(item => {
          item.isEdit = false
        })
        this.currnetRow = null
      }
    }
  }
}
</script>
